/*
 * Copyright 2019 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package im.vector.matrix.android.api.comparators

import im.vector.matrix.android.api.interfaces.DatedObject
import java.util.*

object DatedObjectComparators {

    /**
     * Comparator to sort DatedObjects from the oldest to the latest.
     */
    val ascComparator by lazy {
        Comparator<DatedObject> { datedObject1, datedObject2 ->
            (datedObject1.date - datedObject2.date).toInt()
        }
    }

    /**
     * Comparator to sort DatedObjects from the latest to the oldest.
     */
    val descComparator by lazy {
        Comparator<DatedObject> { datedObject1, datedObject2 ->
            (datedObject2.date - datedObject1.date).toInt()
        }
    }
}