/*
 * Copyright 2019 New Vector Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package im.vector.riotredesign.features.notifications

import java.io.Serializable

interface NotifiableEvent : Serializable {
    var matrixID: String?
    val eventId: String
    var noisy: Boolean
    val title: String
    val description: String?
    val type: String?
    val timestamp: Long
    //NotificationCompat.VISIBILITY_PUBLIC , VISIBILITY_PRIVATE , VISIBILITY_SECRET
    var lockScreenVisibility: Int
    // Compat: Only for android <7, for newer version the sound is defined in the channel
    var soundName: String?
    var hasBeenDisplayed: Boolean
    //Used to know if event should be replaced with the one coming from eventstream
    var isPushGatewayEvent: Boolean
}

